import { Canvas } from "@react-three/fiber";
import { OrbitControls, Stage, useGLTF } from "@react-three/drei";

type ModelViewerProps = {
  width?: string;
  fileUrl: string;
  height?: string;
};

export const ThreeView = ({
  fileUrl,
  height = "100%",
  width = "100%",
}: ModelViewerProps) => {
  const { scene } = useGLTF(fileUrl);

  return (
    <Canvas style={{ height: height, width: width }}>
      <ambientLight />
      <directionalLight />
      <Stage environment="city" intensity={0.6}>
        <primitive object={scene} />
      </Stage>
      <OrbitControls />
    </Canvas>
  );
};
